Imagick::getImageProfile
Imagick::getImageProperties
Imagick
PHP Manual

# Imagick::getImageProfiles

Returns the image profiles

### Description

array Imagick::getImageProfiles ([ string `$pattern` = "*" [, bool `$only_names` = true ]] )

Returns all associated profiles that match the pattern. If `TRUE` is passed as second parameter only the profile names are returned. This method is available if Imagick has been compiled against ImageMagick version 6.3.6 or newer.

### Parameters

`pattern`

  The pattern for profile names.

`only_names`

  Whether to return only profile names. If `FALSE` then values are returned as well

### Return Values

Returns an array containing the image profiles or profile names.